##### 简要描述

- 坦克充值活动页所需信息

	> 奖励定义信息的列表（并为每条奖励注明该用户 `[是否有资格领取]` ）
	>
	> 用户的周期充值额度

##### 请求URL
- ` /ordercycle/index `
  
##### 请求方式
- POST|GET 

##### 参数

|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|cycle_type |否  |string |周期类型，默认为周(week)。其它值有 月(month)、日(date)   |

##### 响应属性
> 释义详见 `[返回示例]`

|参数名|类型|
|:----  |:---- |
|rs |bool |
|msg |string |
|data.symbol |string |
|data.level |string |
|data.amount |int |
|data.amount_rmb |int/float |
|data.rewards.reward_id |string |
|data.rewards.name |string |
|data.rewards.level |string |
|data.rewards.reach_amount |string |
|data.rewards.cycle_type |string |
|data.rewards.rewardJSON |object |
|data.is_reached |bool |



##### 返回示例 

``` 
{
    "rs": true,
    "msg": "ok",
    "data": {
        "cycle_symbol": "2246", //充值统计周期的标识符，例如：20221111（日），202211（月），2246（周 |即2022年第46周）
        "level": null, //充值达标等级，v1~vn，如未达标，则为null
        "amount": 0, //周期充值金额合计（分）
        "amount_rmb": 0, //周期充值金额合计（元）
        "rewards": [
            {
                "reward_id": "1",  //奖励定义信息ID
                "name": "500元充值礼包",
                "level": "v1", //此达标等级
                "reach_amount": "50000", //达标所需的周期最低充值总额（分）
                "cycle_type": "week",  //周期类型，默认为周(week)。其它值有 月(month)、日(date) 
                "reward_json": "{\"struct\":\"struct1\",\"data\":[{\"name\":\"伪装卡(随机场次)\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\"},{\"name\":\"100金币\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\"}]}",
                "rewardJSON": {  //奖励数据
                    "struct": "struct1",  //约定的奖励数据结构类型，便于前端以不同的方式解包数据
                    "data": [ //此为具体的奖励数据，结构会根据rewardJSON.struct灵活调整。现在暂时是这样的结构
                        {
                            "name": "伪装卡(随机场次)",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png"
                        },
                        {
                            "name": "100金币",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png"
                        }
                    ]
                },
                "is_reached": false, //是否有资格领取
            },
            {
                "reward_id": "2",
                "name": "1000元充值礼包",
                "level": "v2",
                "reach_amount": "100000",
                "cycle_type": "week",
                "reward_json": "{\"struct\":\"struct1\",\"data\":[{\"name\":\"伪装卡(100次)\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\"},{\"name\":\"500金币\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\"}]}",
                "rewardJSON": {
                    "struct": "struct1",
                    "data": [
                        {
                            "name": "伪装卡(100次)",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png"
                        },
                        {
                            "name": "500金币",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png"
                        }
                    ]
                },
                "is_reached": false
            },
            {
                "reward_id": "3",
                "name": "3000元充值礼包",
                "level": "v4",
                "reach_amount": "300000",
                "cycle_type": "week",
                "reward_json": "{\"struct\":\"struct1\",\"data\":[{\"name\":\"伪装卡(300次)\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\"},{\"name\":\"1000金币\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\"}]}",
                "rewardJSON": {
                    "struct": "struct1",
                    "data": [
                        {
                            "name": "伪装卡(300次)",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png"
                        },
                        {
                            "name": "1000金币",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png"
                        }
                    ]
                },
                "is_reached": false
            },
            {
                "reward_id": "6",
                "name": "5000元充值礼包",
                "level": "v3",
                "reach_amount": "500000",
                "cycle_type": "week",
                "reward_json": "{\"struct\":\"struct1\",\"data\":[{\"name\":\"伪装卡(月卡)\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\"},{\"name\":\"2500金币\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\"}]}",
                "rewardJSON": {
                    "struct": "struct1",
                    "data": [
                        {
                            "name": "伪装卡(月卡)",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png"
                        },
                        {
                            "name": "2500金币",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png"
                        }
                    ]
                },
                "is_reached": false
            },
            {
                "reward_id": "4",
                "name": "10000元充值礼包",
                "level": "v5",
                "reach_amount": "1000000",
                "cycle_type": "week",
                "reward_json": "{\"struct\":\"struct1\",\"data\":[{\"name\":\"伪装卡(月卡)\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\"},{\"name\":\"5000金币\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\"}]}",
                "rewardJSON": {
                    "struct": "struct1",
                    "data": [
                        {
                            "name": "伪装卡(月卡)",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png"
                        },
                        {
                            "name": "5000金币",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png"
                        }
                    ]
                },
                "is_reached": false
            },
            {
                "reward_id": "5",
                "name": "20000元充值礼包",
                "level": "v6",
                "reach_amount": "2000000",
                "cycle_type": "week",
                "reward_json": "{\"struct\":\"struct1\",\"data\":[{\"name\":\"伪装卡(月卡)\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\"},{\"name\":\"7500金币\",\"img\":\"https://pub.ouj.com/xie-h5/guide/power-1@2x.png\"}]}",
                "rewardJSON": {
                    "struct": "struct1",
                    "data": [
                        {
                            "name": "伪装卡(月卡)",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png"
                        },
                        {
                            "name": "7500金币",
                            "img": "https://pub.ouj.com/xie-h5/guide/power-1@2x.png"
                        }
                    ]
                },
                "is_reached": false
            }
        ]
    }
}
```

##### 备注 

- 需要登录

